import request from '@/utils/request'

// 查询LineWallet列表
export function listLineWallet(query) {
    return request({
        url: '/api/v1/line-wallet',
        method: 'get',
        params: query
    })
}

// 查询LineWallet详细
export function getLineWallet (id) {
    return request({
        url: '/api/v1/line-wallet/' + id,
        method: 'get'
    })
}


// 新增LineWallet
export function addLineWallet(data) {
    return request({
        url: '/api/v1/line-wallet',
        method: 'post',
        data: data
    })
}

// 修改LineWallet
export function updateLineWallet(data) {
    return request({
        url: '/api/v1/line-wallet/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineWallet
export function delLineWallet(data) {
    return request({
        url: '/api/v1/line-wallet',
        method: 'delete',
        data: data
    })
}

